summarylogtreecommitdiffstats
path: root/fsolauncher.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-02 09:57:43 +0800
committerzxp198210052024-02-02 09:57:43 +0800
commit6d1055194d1d0cc9303daa42fe59507a3097c2c3 (patch)
tree3554bccc59ac38e043322d413802a18f3bd715c1 /fsolauncher.sh
parent8bf577256043e54dad96afb4d9a0179780f49881 (diff)
downloadaur-6d1055194d1d0cc9303daa42fe59507a3097c2c3.tar.gz
update to 1.10.1_prod.2
Diffstat (limited to 'fsolauncher.sh')
-rw-r--r--fsolauncher.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/fsolauncher.sh b/fsolauncher.sh
index 0d20cddc70ca..f9ced1432cfc 100644
--- a/fsolauncher.sh
+++ b/fsolauncher.sh
@@ -1,14 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file